/**
 * Eine Mhle muss grundstzlich erstmal Korn annehmen
 * knnen und irgendwann muss man sein gemahlenes Korn,
 * also das Mehl, abholen knnen.
 */
public interface IMuehle {
	/**
	 * Methode die der Bauer aufruft, der Korn anliefert.
	 * @param korn
	 * @return Id (eindeutige AbholId)
	 */
	public Id anliefern(Korn korn);
	
	/**
	 * Wandelt Korn in Mehl.
	 * @throws MahlException
	 */
	public void mahlen() throws MahlException;
	
	/**
	 * @return Korn (das gemalene Korn zur AbholId)
	 */
	public MehlSack abholen();
}
